#ifndef MY_FUNCTIONS_USER_H_
#define MY_FUNCTIONS_USER_H_

#include <string.h>

#include "extern_user.h"

#include "sensors.h"

#include "Core/core.h"
#include "Core/interrupts.h"
#include "Driver/peripherals.h"

#include "../API/controllers.h"
#include "../API/transformations.h"
#include "../API/PLLs.h"

typedef unsigned short uint16;

// Sensor sensitivities
#define ADCONV ADCONV_BBOX

// Modulator deadtime
#define DEADTIME 1e-6

/**
 * Main interrupt routine.
 * @param	void
 * @return	tUserSafe 		SAFE if the routine is executed without error, UNSAFE otherwise
 */
tUserSafe UserInterrupt(void);

void float2sbo(uint16 &sbo_0, uint16 &sbo_1, const float &float_in);

#endif /* MY_FUNCTIONS_USER_H_ */
